View Issue Details

IDProjectCategoryView StatusLast Update
0002113XdebugStep Debuggingpublic2022-10-10 15:51
Reportermaxim.kolmakov Assigned Toderick  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.2.0alpha3 
Target Version3.2devFixed in Version3.2.0RC1 
Summary0002113: Crash at step_into after thrown exception with return value debugging en
Description
  1. Create the following code:
<?php
namespace K;
use Exception;

function myMethod($b)
{
    echo "$b";
    $f = new \stdClass();
    $f->xx = [$b, new Exception()];
    throw new Exception();
}

$foo = 1;
$a = myMethod(42);
  1. Enable Exception breakpoint with Exception class
  2. Start debugging
  3. Press Step Into
  4. Press Step Into

There will be SIGSEGV.

Additional Information

xdebug.log

[44857] Log opened at 2022-09-01 13:03:35.655169
[44857] [Step Debug] INFO: Connecting to configured address/port: 127.0.0.1:9000.
[44857] [Step Debug] INFO: Connected to debugging client: 127.0.0.1:9000 (through xdebug.client_host/xdebug.client_port).
[44857] [Step Debug] -> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" fileuri="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" language="PHP" xdebug:language_version="8.1.9" protocol_version="1.0" appid="44857" idekey="11752"><engine version="3.2.0alpha3"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[https://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2022 by Derick Rethans]]></copyright></init>

[44857] [Step Debug] <- eval -i 1 -- KHN0cmluZykoaW5pX2dldCgneGRlYnVnLmNvdmVyYWdlX2VuYWJsZScpLic7Jy5pbmlfZ2V0KCd4ZGVidWcucHJvZmlsZXJfZW5hYmxlJykuJzsnLmluaV9nZXQoJ3hkZWJ1Zy5yZW1vdGVfYXV0b3N0YXJ0JykuJzsnLmluaV9nZXQoJ3hkZWJ1Zy5yZW1vdGVfY29ubmVjdF9iYWNrJykuJzsnLmluaV9nZXQoJ3hkZWJ1Zy5yZW1vdGVfbW9kZScpKQ==
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="eval" transaction_id="1"><property type="string" size="635" encoding="base64"><![CDATA[VGhpcyBzZXR0aW5nIGhhcyBiZWVuIGNoYW5nZWQsIHNlZSB0aGUgdXBncmFkaW5nIGd1aWRlIGF0IGh0dHBzOi8veGRlYnVnLm9yZy9kb2NzL3VwZ3JhZGVfZ3VpZGUjY2hhbmdlZC14ZGVidWcuY292ZXJhZ2VfZW5hYmxlO1RoaXMgc2V0dGluZyBoYXMgYmVlbiBjaGFuZ2VkLCBzZWUgdGhlIHVwZ3JhZGluZyBndWlkZSBhdCBodHRwczovL3hkZWJ1Zy5vcmcvZG9jcy91cGdyYWRlX2d1aWRlI2NoYW5nZWQteGRlYnVnLnByb2ZpbGVyX2VuYWJsZTtUaGlzIHNldHRpbmcgaGFzIGJlZW4gY2hhbmdlZCwgc2VlIHRoZSB1cGdyYWRpbmcgZ3VpZGUgYXQgaHR0cHM6Ly94ZGVidWcub3JnL2RvY3MvdXBncmFkZV9ndWlkZSNjaGFuZ2VkLXhkZWJ1Zy5yZW1vdGVfYXV0b3N0YXJ0O1RoaXMgc2V0dGluZyBoYXMgYmVlbiBjaGFuZ2VkLCBzZWUgdGhlIHVwZ3JhZGluZyBndWlkZSBhdCBodHRwczovL3hkZWJ1Zy5vcmcvZG9jcy91cGdyYWRlX2d1aWRlI2NoYW5nZWQteGRlYnVnLnJlbW90ZV9jb25uZWN0X2JhY2s7VGhpcyBzZXR0aW5nIGhhcyBiZWVuIGNoYW5nZWQsIHNlZSB0aGUgdXBncmFkaW5nIGd1aWRlIGF0IGh0dHBzOi8veGRlYnVnLm9yZy9kb2NzL3VwZ3JhZGVfZ3VpZGUjY2hhbmdlZC14ZGVidWcucmVtb3RlX21vZGU=]]></property></response>

[44857] [Step Debug] <- feature_set -i 2 -n show_hidden -v 1
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="2" feature="show_hidden" success="1"></response>

[44857] [Step Debug] <- feature_set -i 3 -n max_depth -v 1
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="3" feature="max_depth" success="1"></response>

[44857] [Step Debug] <- feature_set -i 4 -n max_children -v 100
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="4" feature="max_children" success="1"></response>

[44857] [Step Debug] <- feature_set -i 5 -n extended_properties -v 1
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="5" feature="extended_properties" success="1"></response>

[44857] [Step Debug] <- feature_set -i 6 -n resolved_breakpoints -v 1
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="6" feature="resolved_breakpoints" success="1"></response>

[44857] [Step Debug] <- status -i 7
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="status" transaction_id="7" status="starting" reason="ok"></response>

[44857] [Step Debug] <- step_into -i 8
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="8" status="break" reason="ok"><xdebug:message filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" lineno="13"></xdebug:message></response>

[44857] [Step Debug] <- breakpoint_set -i 9 -t exception -x Exception
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="9" id="448570001" resolved="resolved"></response>

[44857] [Step Debug] <- stack_get -i 10
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="10"><stack where="{main}" level="0" type="file" filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" lineno="13"></stack></response>

[44857] [Step Debug] <- run -i 11
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="run" transaction_id="11" status="break" reason="ok"><xdebug:message filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" lineno="10" exception="Exception"><![CDATA[]]></xdebug:message></response>

[44857] [Step Debug] <- stack_get -i 12
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="12"><stack where="K\myMethod" level="0" type="file" filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" lineno="10"></stack><stack where="{main}" level="1" type="file" filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" lineno="14"></stack></response>

[44857] [Step Debug] <- context_names -i 13
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="13"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

[44857] [Step Debug] <- context_get -i 14 -d 0 -c 0
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="14" context="0"><property name="$b" fullname="$b" type="int"><![CDATA[42]]></property><property name="$f" fullname="$f" type="object" classname="stdClass" children="1" numchildren="1" page="0" pagesize="100"><property name="xx" fullname="$f->xx" facet="public" type="array" children="1" numchildren="2"></property></property></response>

[44857] [Step Debug] <- context_get -i 15 -d 0 -c 1
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="15" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="26" page="0" pagesize="100"><property name="__CFBundleIdentifier" fullname="$_SERVER["__CFBundleIdentifier"]" type="string" size="26" encoding="base64"><![CDATA[Y29tLmpldGJyYWlucy5QaHBTdG9ybS1FQVA=]]></property><property name="PATH" fullname="$_SERVER["PATH"]" type="string" size="124" encoding="base64"><![CDATA[L29wdC9ob21lYnJldy9zYmluOi9vcHQvaG9tZWJyZXcvYmluOi9zYmluOi9iaW46L3Vzci9zYmluOi91c3IvYmluOi91c3IvbG9jYWwvdmFyL3JiZW52L3NoaW1zOi91c3IvbG9jYWwvc2JpbjovdXNyL2xvY2FsL2Jpbg==]]></property><property name="SHELL" fullname="$_SERVER["SHELL"]" type="string" size="22" encoding="base64"><![CDATA[L29wdC9ob21lYnJldy9iaW4vZmlzaA==]]></property><property name="TERM" fullname="$_SERVER["TERM"]" type="string" size="14" encoding="base64"><![CDATA[eHRlcm0tMjU2Y29sb3I=]]></property><property name="USER" fullname="$_SERVER["USER"]" type="string" size="14" encoding="base64"><![CDATA[bWF4aW0ua29sbWFrb3Y=]]></property><property name="TMPDIR" fullname="$_SERVER["TMPDIR"]" type="string" size="49" encoding="base64"><![CDATA[L3Zhci9mb2xkZXJzL2JoL2ZoMDc5Nl9zMHQxY3E5bXIxM3c0NXJ0MDAwMDBnbi9ULw==]]></property><property name="COMMAND_MODE" fullname="$_SERVER["COMMAND_MODE"]" type="string" size="8" encoding="base64"><![CDATA[dW5peDIwMDM=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER["SSH_AUTH_SOCK"]" type="string" size="51" encoding="base64"><![CDATA[L3ByaXZhdGUvdG1wL2NvbS5hcHBsZS5sYXVuY2hkLkFtTEV1V0hQQ3MvTGlzdGVuZXJz]]></property><property name="XPC_FLAGS" fullname="$_SERVER["XPC_FLAGS"]" type="string" size="3" encoding="base64"><![CDATA[MHgw]]></property><property name="__CF_USER_TEXT_ENCODING" fullname="$_SERVER["__CF_USER_TEXT_ENCODING"]" type="string" size="13" encoding="base64"><![CDATA[MHgxRjU6MHgwOjB4Mg==]]></property><property name="LOGNAME" fullname="$_SERVER["LOGNAME"]" type="string" size="14" encoding="base64"><![CDATA[bWF4aW0ua29sbWFrb3Y=]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER["XDEBUG_CONFIG"]" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTExNzUy]]></property><property name="LC_CTYPE" fullname="$_SERVER["LC_CTYPE"]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XPC_SERVICE_NAME" fullname="$_SERVER["XPC_SERVICE_NAME"]" type="string" size="93" encoding="base64"><![CDATA[YXBwbGljYXRpb24uY29tLmpldGJyYWlucy5QaHBTdG9ybS1FQVAuNTkzNTQxMjQuNTkzNTQ4MjYuRDIzMTgyMjUtNUQ1QS00RTk0LUIzMzgtNkE3M0YyQjEyRENG]]></property><property name="PWD" fullname="$_SERVER["PWD"]" type="string" size="49" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNw==]]></property><property name="TOOLBOX_VERSION" fullname="$_SERVER["TOOLBOX_VERSION"]" type="string" size="10" encoding="base64"><![CDATA[MS4yNS4xMjYyNw==]]></property><property name="HOME" fullname="$_SERVER["HOME"]" type="string" size="21" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292]]></property><property name="PHP_SELF" fullname="$_SERVER["PHP_SELF"]" type="string" size="58" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocA==]]></property><property name="SCRIPT_NAME" fullname="$_SERVER["SCRIPT_NAME"]" type="string" size="58" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocA==]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER["SCRIPT_FILENAME"]" type="string" size="58" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocA==]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER["PATH_TRANSLATED"]" type="string" size="58" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocA==]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER["DOCUMENT_ROOT"]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER["REQUEST_TIME_FLOAT"]" type="float"><![CDATA[1662037415.6554]]></property><property name="REQUEST_TIME" fullname="$_SERVER["REQUEST_TIME"]" type="int"><![CDATA[1662037415]]></property><property name="argv" fullname="$_SERVER["argv"]" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$_SERVER["argc"]" type="int"><![CDATA[1]]></property></property></response>

[44857] [Step Debug] <- context_get -i 16 -d 0 -c 2
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="16" context="2"></response>

[44857] [Step Debug] <- eval -i 17 -- KHN0cmluZykoRXhjZXB0aW9uKQ==
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="eval" transaction_id="17" status="break" reason="ok"><error code="206"><message><![CDATA[error evaluating code]]></message></error></response>

[44857] [Step Debug] <- eval -i 18 -- KHN0cmluZykoJGYp
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="eval" transaction_id="18" status="break" reason="ok"><error code="206"><message><![CDATA[error evaluating code]]></message></error></response>

[44857] [Step Debug] <- step_into -i 19
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="19" status="break" reason="ok"><xdebug:message filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" lineno="14"></xdebug:message><xdebug:return_value><property type="uninitialized"></property></xdebug:return_value></response>

[44857] [Step Debug] <- stack_get -i 20
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="20"><stack where="K\myMethod" level="0" type="file" filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" lineno="14"></stack><stack where="{main}" level="1" type="file" filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" lineno="14"></stack></response>

[44857] [Step Debug] <- context_get -i 21 -d 0 -c 0
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="21" context="0"><property name="$__RETURN_VALUE" fullname="$__RETURN_VALUE" type="uninitialized" facet="readonly return_value virtual"></property></response>

[44857] [Step Debug] <- context_get -i 22 -d 0 -c 1
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="22" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="26" page="0" pagesize="100"><property name="__CFBundleIdentifier" fullname="$_SERVER["__CFBundleIdentifier"]" type="string" size="26" encoding="base64"><![CDATA[Y29tLmpldGJyYWlucy5QaHBTdG9ybS1FQVA=]]></property><property name="PATH" fullname="$_SERVER["PATH"]" type="string" size="124" encoding="base64"><![CDATA[L29wdC9ob21lYnJldy9zYmluOi9vcHQvaG9tZWJyZXcvYmluOi9zYmluOi9iaW46L3Vzci9zYmluOi91c3IvYmluOi91c3IvbG9jYWwvdmFyL3JiZW52L3NoaW1zOi91c3IvbG9jYWwvc2JpbjovdXNyL2xvY2FsL2Jpbg==]]></property><property name="SHELL" fullname="$_SERVER["SHELL"]" type="string" size="22" encoding="base64"><![CDATA[L29wdC9ob21lYnJldy9iaW4vZmlzaA==]]></property><property name="TERM" fullname="$_SERVER["TERM"]" type="string" size="14" encoding="base64"><![CDATA[eHRlcm0tMjU2Y29sb3I=]]></property><property name="USER" fullname="$_SERVER["USER"]" type="string" size="14" encoding="base64"><![CDATA[bWF4aW0ua29sbWFrb3Y=]]></property><property name="TMPDIR" fullname="$_SERVER["TMPDIR"]" type="string" size="49" encoding="base64"><![CDATA[L3Zhci9mb2xkZXJzL2JoL2ZoMDc5Nl9zMHQxY3E5bXIxM3c0NXJ0MDAwMDBnbi9ULw==]]></property><property name="COMMAND_MODE" fullname="$_SERVER["COMMAND_MODE"]" type="string" size="8" encoding="base64"><![CDATA[dW5peDIwMDM=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER["SSH_AUTH_SOCK"]" type="string" size="51" encoding="base64"><![CDATA[L3ByaXZhdGUvdG1wL2NvbS5hcHBsZS5sYXVuY2hkLkFtTEV1V0hQQ3MvTGlzdGVuZXJz]]></property><property name="XPC_FLAGS" fullname="$_SERVER["XPC_FLAGS"]" type="string" size="3" encoding="base64"><![CDATA[MHgw]]></property><property name="__CF_USER_TEXT_ENCODING" fullname="$_SERVER["__CF_USER_TEXT_ENCODING"]" type="string" size="13" encoding="base64"><![CDATA[MHgxRjU6MHgwOjB4Mg==]]></property><property name="LOGNAME" fullname="$_SERVER["LOGNAME"]" type="string" size="14" encoding="base64"><![CDATA[bWF4aW0ua29sbWFrb3Y=]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER["XDEBUG_CONFIG"]" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTExNzUy]]></property><property name="LC_CTYPE" fullname="$_SERVER["LC_CTYPE"]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XPC_SERVICE_NAME" fullname="$_SERVER["XPC_SERVICE_NAME"]" type="string" size="93" encoding="base64"><![CDATA[YXBwbGljYXRpb24uY29tLmpldGJyYWlucy5QaHBTdG9ybS1FQVAuNTkzNTQxMjQuNTkzNTQ4MjYuRDIzMTgyMjUtNUQ1QS00RTk0LUIzMzgtNkE3M0YyQjEyRENG]]></property><property name="PWD" fullname="$_SERVER["PWD"]" type="string" size="49" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNw==]]></property><property name="TOOLBOX_VERSION" fullname="$_SERVER["TOOLBOX_VERSION"]" type="string" size="10" encoding="base64"><![CDATA[MS4yNS4xMjYyNw==]]></property><property name="HOME" fullname="$_SERVER["HOME"]" type="string" size="21" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292]]></property><property name="PHP_SELF" fullname="$_SERVER["PHP_SELF"]" type="string" size="58" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocA==]]></property><property name="SCRIPT_NAME" fullname="$_SERVER["SCRIPT_NAME"]" type="string" size="58" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocA==]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER["SCRIPT_FILENAME"]" type="string" size="58" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocA==]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER["PATH_TRANSLATED"]" type="string" size="58" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocA==]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER["DOCUMENT_ROOT"]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER["REQUEST_TIME_FLOAT"]" type="float"><![CDATA[1662037415.6554]]></property><property name="REQUEST_TIME" fullname="$_SERVER["REQUEST_TIME"]" type="int"><![CDATA[1662037415]]></property><property name="argv" fullname="$_SERVER["argv"]" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$_SERVER["argc"]" type="int"><![CDATA[1]]></property></property></response>

[44857] [Step Debug] <- context_get -i 23 -d 0 -c 2
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="23" context="2"></response>

[44857] [Step Debug] <- step_into -i 24
[44857] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="24" status="break" reason="ok"><xdebug:message filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/Unknown"></xdebug:message><xdebug:return_value><property type="string" size="91" encoding="base64"><![CDATA[IzAgL1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocCgxNCk6IEtcbXlNZXRob2QoNDIpCiMxIHttYWlufQ==]]></property></xdebug:return_value></response>

[44857] [Step Debug] <- stack_get -i 25
TagsNo tags attached.
Operating Systemmacos
PHP Version8.0.10-8.0.19

Activities

maxim.kolmakov

2022-09-01 13:06

reporter   ~0006367

Sorry for the formatting:(

maxim.kolmakov

2022-09-01 13:11

reporter   ~0006368

Found easier steps:

<?php
function g(){
    return 2;
}
function myMethod($b)
{
    f(); //breakpoint there
}

$foo = 1;
$a = myMethod(42);
  1. Press Step Into
  2. Press Step Into

Log:

[45338] Log opened at 2022-09-01 13:11:08.693187
[45338] [Step Debug] INFO: Connecting to configured address/port: 127.0.0.1:9000.
[45338] [Step Debug] INFO: Connected to debugging client: 127.0.0.1:9000 (through xdebug.client_host/xdebug.client_port).
[45338] [Step Debug] -> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" fileuri="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" language="PHP" xdebug:language_version="8.1.9" protocol_version="1.0" appid="45338" idekey="17446"><engine version="3.2.0alpha3"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[https://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2022 by Derick Rethans]]></copyright></init>

[45338] [Step Debug] <- eval -i 1 -- KHN0cmluZykoaW5pX2dldCgneGRlYnVnLmNvdmVyYWdlX2VuYWJsZScpLic7Jy5pbmlfZ2V0KCd4ZGVidWcucHJvZmlsZXJfZW5hYmxlJykuJzsnLmluaV9nZXQoJ3hkZWJ1Zy5yZW1vdGVfYXV0b3N0YXJ0JykuJzsnLmluaV9nZXQoJ3hkZWJ1Zy5yZW1vdGVfY29ubmVjdF9iYWNrJykuJzsnLmluaV9nZXQoJ3hkZWJ1Zy5yZW1vdGVfbW9kZScpKQ==
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="eval" transaction_id="1"><property type="string" size="635" encoding="base64"><![CDATA[VGhpcyBzZXR0aW5nIGhhcyBiZWVuIGNoYW5nZWQsIHNlZSB0aGUgdXBncmFkaW5nIGd1aWRlIGF0IGh0dHBzOi8veGRlYnVnLm9yZy9kb2NzL3VwZ3JhZGVfZ3VpZGUjY2hhbmdlZC14ZGVidWcuY292ZXJhZ2VfZW5hYmxlO1RoaXMgc2V0dGluZyBoYXMgYmVlbiBjaGFuZ2VkLCBzZWUgdGhlIHVwZ3JhZGluZyBndWlkZSBhdCBodHRwczovL3hkZWJ1Zy5vcmcvZG9jcy91cGdyYWRlX2d1aWRlI2NoYW5nZWQteGRlYnVnLnByb2ZpbGVyX2VuYWJsZTtUaGlzIHNldHRpbmcgaGFzIGJlZW4gY2hhbmdlZCwgc2VlIHRoZSB1cGdyYWRpbmcgZ3VpZGUgYXQgaHR0cHM6Ly94ZGVidWcub3JnL2RvY3MvdXBncmFkZV9ndWlkZSNjaGFuZ2VkLXhkZWJ1Zy5yZW1vdGVfYXV0b3N0YXJ0O1RoaXMgc2V0dGluZyBoYXMgYmVlbiBjaGFuZ2VkLCBzZWUgdGhlIHVwZ3JhZGluZyBndWlkZSBhdCBodHRwczovL3hkZWJ1Zy5vcmcvZG9jcy91cGdyYWRlX2d1aWRlI2NoYW5nZWQteGRlYnVnLnJlbW90ZV9jb25uZWN0X2JhY2s7VGhpcyBzZXR0aW5nIGhhcyBiZWVuIGNoYW5nZWQsIHNlZSB0aGUgdXBncmFkaW5nIGd1aWRlIGF0IGh0dHBzOi8veGRlYnVnLm9yZy9kb2NzL3VwZ3JhZGVfZ3VpZGUjY2hhbmdlZC14ZGVidWcucmVtb3RlX21vZGU=]]></property></response>

[45338] [Step Debug] <- feature_set -i 2 -n show_hidden -v 1
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="2" feature="show_hidden" success="1"></response>

[45338] [Step Debug] <- feature_set -i 3 -n max_depth -v 1
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="3" feature="max_depth" success="1"></response>

[45338] [Step Debug] <- feature_set -i 4 -n max_children -v 100
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="4" feature="max_children" success="1"></response>

[45338] [Step Debug] <- feature_set -i 5 -n extended_properties -v 1
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="5" feature="extended_properties" success="1"></response>

[45338] [Step Debug] <- feature_set -i 6 -n resolved_breakpoints -v 1
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="6" feature="resolved_breakpoints" success="1"></response>

[45338] [Step Debug] <- feature_set -i 7 -n breakpoint_include_return_value -v 1
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="7" feature="breakpoint_include_return_value" success="1"></response>

[45338] [Step Debug] <- status -i 8
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="status" transaction_id="8" status="starting" reason="ok"></response>

[45338] [Step Debug] <- step_into -i 9
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="9" status="break" reason="ok"><xdebug:message filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" lineno="10"></xdebug:message></response>

[45338] [Step Debug] <- breakpoint_set -i 10 -t line -f file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php -n 7
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="10" id="453380001" resolved="resolved"></response>

[45338] [Step Debug] <- stack_get -i 11
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="11"><stack where="{main}" level="0" type="file" filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" lineno="10"></stack></response>

[45338] [Step Debug] <- run -i 12
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="run" transaction_id="12" status="break" reason="ok"><xdebug:message filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" lineno="7"></xdebug:message></response>

[45338] [Step Debug] <- stack_get -i 13
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="13"><stack where="myMethod" level="0" type="file" filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" lineno="7"></stack><stack where="{main}" level="1" type="file" filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" lineno="11"></stack></response>

[45338] [Step Debug] <- context_names -i 14
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="14"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

[45338] [Step Debug] <- context_get -i 15 -d 0 -c 0
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="15" context="0"><property name="$b" fullname="$b" type="int"><![CDATA[42]]></property></response>

[45338] [Step Debug] <- context_get -i 16 -d 0 -c 1
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="16" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="26" page="0" pagesize="100"><property name="__CFBundleIdentifier" fullname="$_SERVER["__CFBundleIdentifier"]" type="string" size="26" encoding="base64"><![CDATA[Y29tLmpldGJyYWlucy5QaHBTdG9ybS1FQVA=]]></property><property name="PATH" fullname="$_SERVER["PATH"]" type="string" size="124" encoding="base64"><![CDATA[L29wdC9ob21lYnJldy9zYmluOi9vcHQvaG9tZWJyZXcvYmluOi9zYmluOi9iaW46L3Vzci9zYmluOi91c3IvYmluOi91c3IvbG9jYWwvdmFyL3JiZW52L3NoaW1zOi91c3IvbG9jYWwvc2JpbjovdXNyL2xvY2FsL2Jpbg==]]></property><property name="SHELL" fullname="$_SERVER["SHELL"]" type="string" size="22" encoding="base64"><![CDATA[L29wdC9ob21lYnJldy9iaW4vZmlzaA==]]></property><property name="TERM" fullname="$_SERVER["TERM"]" type="string" size="14" encoding="base64"><![CDATA[eHRlcm0tMjU2Y29sb3I=]]></property><property name="USER" fullname="$_SERVER["USER"]" type="string" size="14" encoding="base64"><![CDATA[bWF4aW0ua29sbWFrb3Y=]]></property><property name="TMPDIR" fullname="$_SERVER["TMPDIR"]" type="string" size="49" encoding="base64"><![CDATA[L3Zhci9mb2xkZXJzL2JoL2ZoMDc5Nl9zMHQxY3E5bXIxM3c0NXJ0MDAwMDBnbi9ULw==]]></property><property name="COMMAND_MODE" fullname="$_SERVER["COMMAND_MODE"]" type="string" size="8" encoding="base64"><![CDATA[dW5peDIwMDM=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER["SSH_AUTH_SOCK"]" type="string" size="51" encoding="base64"><![CDATA[L3ByaXZhdGUvdG1wL2NvbS5hcHBsZS5sYXVuY2hkLkFtTEV1V0hQQ3MvTGlzdGVuZXJz]]></property><property name="XPC_FLAGS" fullname="$_SERVER["XPC_FLAGS"]" type="string" size="3" encoding="base64"><![CDATA[MHgw]]></property><property name="__CF_USER_TEXT_ENCODING" fullname="$_SERVER["__CF_USER_TEXT_ENCODING"]" type="string" size="13" encoding="base64"><![CDATA[MHgxRjU6MHgwOjB4Mg==]]></property><property name="LOGNAME" fullname="$_SERVER["LOGNAME"]" type="string" size="14" encoding="base64"><![CDATA[bWF4aW0ua29sbWFrb3Y=]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER["XDEBUG_CONFIG"]" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTE3NDQ2]]></property><property name="LC_CTYPE" fullname="$_SERVER["LC_CTYPE"]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XPC_SERVICE_NAME" fullname="$_SERVER["XPC_SERVICE_NAME"]" type="string" size="93" encoding="base64"><![CDATA[YXBwbGljYXRpb24uY29tLmpldGJyYWlucy5QaHBTdG9ybS1FQVAuNTkzNTQxMjQuNTkzNTQ4MjYuRDIzMTgyMjUtNUQ1QS00RTk0LUIzMzgtNkE3M0YyQjEyRENG]]></property><property name="PWD" fullname="$_SERVER["PWD"]" type="string" size="49" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNw==]]></property><property name="TOOLBOX_VERSION" fullname="$_SERVER["TOOLBOX_VERSION"]" type="string" size="10" encoding="base64"><![CDATA[MS4yNS4xMjYyNw==]]></property><property name="HOME" fullname="$_SERVER["HOME"]" type="string" size="21" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292]]></property><property name="PHP_SELF" fullname="$_SERVER["PHP_SELF"]" type="string" size="58" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocA==]]></property><property name="SCRIPT_NAME" fullname="$_SERVER["SCRIPT_NAME"]" type="string" size="58" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocA==]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER["SCRIPT_FILENAME"]" type="string" size="58" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocA==]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER["PATH_TRANSLATED"]" type="string" size="58" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocA==]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER["DOCUMENT_ROOT"]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER["REQUEST_TIME_FLOAT"]" type="float"><![CDATA[1662037868.6934]]></property><property name="REQUEST_TIME" fullname="$_SERVER["REQUEST_TIME"]" type="int"><![CDATA[1662037868]]></property><property name="argv" fullname="$_SERVER["argv"]" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$_SERVER["argc"]" type="int"><![CDATA[1]]></property></property></response>

[45338] [Step Debug] <- context_get -i 17 -d 0 -c 2
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="17" context="2"></response>

[45338] [Step Debug] <- step_into -i 18
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="18" status="break" reason="ok"><xdebug:message filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" lineno="11"></xdebug:message><xdebug:return_value><property type="uninitialized"></property></xdebug:return_value></response>

[45338] [Step Debug] <- stack_get -i 19
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="19"><stack where="myMethod" level="0" type="file" filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" lineno="11"></stack><stack where="{main}" level="1" type="file" filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/test.php" lineno="11"></stack></response>

[45338] [Step Debug] <- context_get -i 20 -d 0 -c 0
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="20" context="0"><property name="$__RETURN_VALUE" fullname="$__RETURN_VALUE" type="uninitialized" facet="readonly return_value virtual"></property></response>

[45338] [Step Debug] <- context_get -i 21 -d 0 -c 1
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="21" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="26" page="0" pagesize="100"><property name="__CFBundleIdentifier" fullname="$_SERVER["__CFBundleIdentifier"]" type="string" size="26" encoding="base64"><![CDATA[Y29tLmpldGJyYWlucy5QaHBTdG9ybS1FQVA=]]></property><property name="PATH" fullname="$_SERVER["PATH"]" type="string" size="124" encoding="base64"><![CDATA[L29wdC9ob21lYnJldy9zYmluOi9vcHQvaG9tZWJyZXcvYmluOi9zYmluOi9iaW46L3Vzci9zYmluOi91c3IvYmluOi91c3IvbG9jYWwvdmFyL3JiZW52L3NoaW1zOi91c3IvbG9jYWwvc2JpbjovdXNyL2xvY2FsL2Jpbg==]]></property><property name="SHELL" fullname="$_SERVER["SHELL"]" type="string" size="22" encoding="base64"><![CDATA[L29wdC9ob21lYnJldy9iaW4vZmlzaA==]]></property><property name="TERM" fullname="$_SERVER["TERM"]" type="string" size="14" encoding="base64"><![CDATA[eHRlcm0tMjU2Y29sb3I=]]></property><property name="USER" fullname="$_SERVER["USER"]" type="string" size="14" encoding="base64"><![CDATA[bWF4aW0ua29sbWFrb3Y=]]></property><property name="TMPDIR" fullname="$_SERVER["TMPDIR"]" type="string" size="49" encoding="base64"><![CDATA[L3Zhci9mb2xkZXJzL2JoL2ZoMDc5Nl9zMHQxY3E5bXIxM3c0NXJ0MDAwMDBnbi9ULw==]]></property><property name="COMMAND_MODE" fullname="$_SERVER["COMMAND_MODE"]" type="string" size="8" encoding="base64"><![CDATA[dW5peDIwMDM=]]></property><property name="SSH_AUTH_SOCK" fullname="$_SERVER["SSH_AUTH_SOCK"]" type="string" size="51" encoding="base64"><![CDATA[L3ByaXZhdGUvdG1wL2NvbS5hcHBsZS5sYXVuY2hkLkFtTEV1V0hQQ3MvTGlzdGVuZXJz]]></property><property name="XPC_FLAGS" fullname="$_SERVER["XPC_FLAGS"]" type="string" size="3" encoding="base64"><![CDATA[MHgw]]></property><property name="__CF_USER_TEXT_ENCODING" fullname="$_SERVER["__CF_USER_TEXT_ENCODING"]" type="string" size="13" encoding="base64"><![CDATA[MHgxRjU6MHgwOjB4Mg==]]></property><property name="LOGNAME" fullname="$_SERVER["LOGNAME"]" type="string" size="14" encoding="base64"><![CDATA[bWF4aW0ua29sbWFrb3Y=]]></property><property name="XDEBUG_CONFIG" fullname="$_SERVER["XDEBUG_CONFIG"]" type="string" size="12" encoding="base64"><![CDATA[aWRla2V5PTE3NDQ2]]></property><property name="LC_CTYPE" fullname="$_SERVER["LC_CTYPE"]" type="string" size="11" encoding="base64"><![CDATA[ZW5fVVMuVVRGLTg=]]></property><property name="XPC_SERVICE_NAME" fullname="$_SERVER["XPC_SERVICE_NAME"]" type="string" size="93" encoding="base64"><![CDATA[YXBwbGljYXRpb24uY29tLmpldGJyYWlucy5QaHBTdG9ybS1FQVAuNTkzNTQxMjQuNTkzNTQ4MjYuRDIzMTgyMjUtNUQ1QS00RTk0LUIzMzgtNkE3M0YyQjEyRENG]]></property><property name="PWD" fullname="$_SERVER["PWD"]" type="string" size="49" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNw==]]></property><property name="TOOLBOX_VERSION" fullname="$_SERVER["TOOLBOX_VERSION"]" type="string" size="10" encoding="base64"><![CDATA[MS4yNS4xMjYyNw==]]></property><property name="HOME" fullname="$_SERVER["HOME"]" type="string" size="21" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292]]></property><property name="PHP_SELF" fullname="$_SERVER["PHP_SELF"]" type="string" size="58" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocA==]]></property><property name="SCRIPT_NAME" fullname="$_SERVER["SCRIPT_NAME"]" type="string" size="58" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocA==]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER["SCRIPT_FILENAME"]" type="string" size="58" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocA==]]></property><property name="PATH_TRANSLATED" fullname="$_SERVER["PATH_TRANSLATED"]" type="string" size="58" encoding="base64"><![CDATA[L1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocA==]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER["DOCUMENT_ROOT"]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER["REQUEST_TIME_FLOAT"]" type="float"><![CDATA[1662037868.6934]]></property><property name="REQUEST_TIME" fullname="$_SERVER["REQUEST_TIME"]" type="int"><![CDATA[1662037868]]></property><property name="argv" fullname="$_SERVER["argv"]" type="array" children="1" numchildren="1"></property><property name="argc" fullname="$_SERVER["argc"]" type="int"><![CDATA[1]]></property></property></response>

[45338] [Step Debug] <- context_get -i 22 -d 0 -c 2
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="22" context="2"></response>

[45338] [Step Debug] <- step_into -i 23
[45338] [Step Debug] -> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="https://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="23" status="break" reason="ok"><xdebug:message filename="file:///Users/maxim.kolmakov/PhpstormProjects/untitled17/Unknown"></xdebug:message><xdebug:return_value><property type="string" size="89" encoding="base64"><![CDATA[IzAgL1VzZXJzL21heGltLmtvbG1ha292L1BocHN0b3JtUHJvamVjdHMvdW50aXRsZWQxNy90ZXN0LnBocCgxMSk6IG15TWV0aG9kKDQyKQojMSB7bWFpbn0=]]></property></xdebug:return_value></response>

[45338] [Step Debug] <- stack_get -i 24

maxim.kolmakov

2022-09-01 13:15

reporter   ~0006369

Related PhpStorm issue: https://youtrack.jetbrains.com/issue/WI-68617/Return-Value-causes-SIGSEV-and-breaks-execution

derick

2022-09-07 10:51

administrator   ~0006371

https://github.com/xdebug/xdebug/pull/854

derick

2022-09-07 11:32

administrator   ~0006372

Fixed for Xdebug 3.2.0beta1

Issue History

Date Modified Username Field Change
2022-09-01 13:05 maxim.kolmakov New Issue
2022-09-01 13:06 maxim.kolmakov Note Added: 0006367
2022-09-01 13:11 maxim.kolmakov Note Added: 0006368
2022-09-01 13:15 maxim.kolmakov Note Added: 0006369
2022-09-02 12:59 derick Description Updated
2022-09-02 12:59 derick Additional Information Updated
2022-09-07 10:49 derick Status new => assigned
2022-09-07 10:49 derick Target Version => 3.2dev
2022-09-07 10:49 derick Summary SIGSEV is thrown on step into after Exception breakpoint => Crash at step_into after thrown exception with return value debugging en
2022-09-07 10:51 derick Note Added: 0006371
2022-09-07 11:32 derick Assigned To => derick
2022-09-07 11:32 derick Status assigned => closed
2022-09-07 11:32 derick Resolution open => fixed
2022-09-07 11:32 derick Fixed in Version => 3.2dev
2022-09-07 11:32 derick Note Added: 0006372
2022-10-10 15:51 derick Fixed in Version 3.2dev => 3.2.0RC1